/* Main content should stretch to fill available space */
.wp-site-blocks {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.main-content-index {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  background-color: var(--wp--preset--color--ar-color-neutral-00);
  flex-grow: 1; /* Make sure it expands to take available space */
  padding: 0 1.75rem 1.25rem 1.75rem; 
  box-sizing: border-box;
}
.main-content {
  background-color: var(--wp--preset--color--ar-color-neutral-00);
  flex-grow: 1; /* Make sure it expands to take available space */
  padding: 0 1.75rem 1.25rem 1.75rem; 
  box-sizing: border-box;
}

/* Intro */
.heading-index-text {
 grid-column: 1 / span 3;
}
.index-page-text {
 grid-column: 2;
}

/* Media Query for Tablet and Mobile Devices */
@media (max-width: 768px) {
  .main-content {
    grid-template-columns: 1fr; /* Switch to 1 column on tablet and mobile */ 
    padding:0;
  }
  /* Adjust the intro section to align better */
  .index-page-text {
    grid-column: 1; /* Center it in the 1-column layout */
  }

.page .main-content h1:first-of-type {
    padding: 0 0 8px 0 !important;
    margin-top: 8px !important;
    margin-bottom: 8px !important;
}
.post-template .main-content h1:first-of-type {
    padding: 0 0 24px 0 !important;
    margin-top: 8px !important;
    margin-bottom: 8px !important;
}
}